Reply to topic

Video call

Hijidia
Registered Member
Posts
6
Karma
0
OS

Video call

Wed May 01, 2013 4:25 pm
Following the death of msn I try to run the video call telepathy.
The icon "video call" is grayed out.

Is it because of my contact jabber software or as a package I'm missing?
I installed farstream and telepathy-farstream, telepathy-gabble.

Thanks. I would avoid having to use skype.
david_edmundson
KDE Developer
Posts
202
Karma
1
OS

Re: Video call

Wed May 01, 2013 7:17 pm
Look for ktp-call-ui

Some distros (Kubuntu) don't ship it by default because of GStreamer and some political reasons therein.
Hijidia
Registered Member
Posts
6
Karma
0
OS

Re: Video call

Wed May 01, 2013 8:51 pm
Can i deal with this : https://aur.archlinux.org/packages/tele ... e-call-ui/ ?

EDIT : compilation fail :( :
make[2]: *** [libqtf/CMakeFiles/qtf.dir/qtf.o] Erreur 1
make[1]: *** [libqtf/CMakeFiles/qtf.dir/all] Erreur 2
make: *** [all] Erreur 2


Some people say that kde-telepathy can make videocalls because it doesn't support farstream 0.2.
david_edmundson
KDE Developer
Posts
202
Karma
1
OS

Re: Video call

Wed May 01, 2013 9:10 pm
Those people would be right, or rather it doesn't even compile.

Arch rushed in to have the shiniest new version of something (GStreamer and therefore Farstream) and they're not compatible, and so our stuff "breaks". From my developer POV, not my fault, not my problem.

There is a way to have different versions of farstream co-installable....if you can make that happen.
wgosling
Registered Member
Posts
1
Karma
0

Re: Video call

Wed May 01, 2013 9:47 pm
For me at least, it fails to build because /usr/include/qt4/QtCore/qtconcurrentfilter.h generates a warning (unused typedef) and cmake/make passes -Wunused-local-typedefs to gcc. Qt Bugzilla says it should be fixed in 4.8.5 (https://bugreports.qt-project.org/browse/QTBUG-30594). He may have to wait for Qt 4.8.5.
Hijidia
Registered Member
Posts
6
Karma
0
OS

Re: Video call

Sun May 05, 2013 6:34 pm
So, now , i have two version of farstream :
- 0.2.3-1
- And Legacy 0.1.2-2.

But it still does not work either with jabber or gtalk in protocol.
Should I call must have ui? Because I do not receive calls. When I try to make a video call I get an error:
org.freedesktop.org .Telepathy.Error.NotAvailable: Handler no longer available

I also tested with empathy. Same problem but not the same message. The difference is that with Empathy I received the call. But when I answer, nothing happens.
II tested Jitsi also impossible to make it work properly. I know it is not your fault arch always takes what is most recent but it's really sad that Skype is the only way to do video conferencing on linux.
sinclair
Registered Member
Posts
158
Karma
0
OS

Re: Video call

Mon May 06, 2013 5:13 am
Just want to point out that this seems to be a DISTRO problem, not a kde-telepathy or linux problem. Being on Kubuntu and installed proper packages I have no problem and Skype is not only way to go for me
Hijidia
Registered Member
Posts
6
Karma
0
OS

Re: Video call

Wed May 08, 2013 5:00 pm
It is because your are using telepathy-farstream v 0.4 isn't it ? And in arch telepathy-farstream 0.6.0-1 who is incompatible with kde telepathy according to arch forums.

It will be the same issue in the recent ubuntu raring who's include the last telepathy too, like arch.
Hijidia
Registered Member
Posts
6
Karma
0
OS

Re: Video call

Wed May 08, 2013 5:14 pm
It can be also because Arch has only the 0.5 version of telepathy-call-ui on AUR and not the 0.6.1 last one ! But from what I've read, it is not available for call-ui does not support farstream last long. Is that changed with 0.6.1 which is not available in arch ... I do not have the answer.

 
Reply to topic

Bookmarks



Who is online

Registered users: AElfwine, anditosan, Baidu [Spider], bcooksley, Bing [Bot], doublerainbow64, Exabot [Bot], Google [Bot], google01103, hefeweiz3n, inksi, jensreuterberg, kainz.a, koriun, l3u, moisachedaniela, Paulms, pbCyanide, raphaelpoli, scummos, SecretCode, Sentynel, toad, tparrott, Yahoo [Bot]